[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomMemo.ScrollBy

Scrolls the visible area in the control by the specified amounts.

## Declaration

Source position: stdctrls.pp line 937

`public procedure TCustomMemo.ScrollBy(`
`DeltaX: Integer;`
`DeltaY: Integer`
`); override;`

## Arguments

`DeltaX` |  | Amount to scroll horizontally.
`DeltaY` |  | Amount to scroll vertically.

## Description

ScrollBy is an overridden method in TCustomMemo used to scroll the visible area for the control by the specified amounts.

DeltaX and DeltaY contain the number of pixels the content in the control is scrolled. DeltaX is applied to the horizontal position. DeltaY is applied to the vertical position. A positive value means that he control scrolls towards its bottom or right (respectively). Conversely, a negative value scrolls the content towards its top or left.

ScrollBy calls the ScrollBy_WS method in the ancestor class. It essentially replaces the method in the ancestor with the same name, and does not call the inherited method.

## See also

TWinControl.ScrollBy |  | Scrolls child controls by the specified number of pixels.
TWinControl.ScrollBy_WS |  | Scrolls the control using the handle for the widgetset class.